import * as types from './actionTypes';
import roleApi from '../api/mockRoleApi';
import {beginAjaxCall, ajaxCallError} from './ajaxStatusActions';

export function loadRolesSuccess(roles) {
 // debugger;
  return {
    type: types.LOAD_ROLES_SUCCESS, roles
  };
}

// export function createRoleSuccess(role) {
//   return {
//     type: types.CREATE_ROLE_SUCCESS, role
//   };
// }

// export function updateRoleSuccess(role) {
//   return {
//     type: types.UPDATE_ROLE_SUCCESS, role
//   };
// }

// thunks:

export function loadRoles() {
  return function(dispatch) {
    dispatch(beginAjaxCall());
    
    return fetch('http://localhost:3850/api/role')
      .then(response => response.json())
      .then(roles =>{
        dispatch(loadRolesSuccess(roles));
      })
      .catch(error => {
        dispatch(ajaxCallError(error));
        throw(error);
      });
  };
}

// export function saveRole(role) {
//   return function (dispatch, getState) {
//     dispatch(beginAjaxCall());
//     return roleApi.saveRole(role).then(savedRole => {
//       role.id ? dispatch(updateRoleSuccess(savedRole)) :
//         dispatch(createRoleSuccess(savedRole));
//     }).catch(error => {
//       dispatch(ajaxCallError(error));
//       throw(error);
//     });
//   };
// }
