import React, {PropTypes}  from 'react';

const ModalHeader = ({header}) => {
	return(
		<div className="modal-header">
			<button type="button" className="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			<h4 className="modal-title" id="myModalLabel">{header}</h4>
		</div>
	);
};

ModalHeader.propTypes = {
	header: PropTypes.string
};

export default ModalHeader;