import {combineReducers} from 'redux';
import courses from './courseReducer';
import authors from './authorReducer';
import users from './userReducer';
import products from './productReducer';
import categories from './categoryReducer';
import roles from './roleReducer';
import ajaxCallsInProgress from './ajaxStatusReducer';

const rootReducer = combineReducers({
  courses, /* shorthand property name*/
  authors,
  users,
  products,
  roles,
  categories,
  ajaxCallsInProgress
});

export default rootReducer;
