import React, {PropTypes} from 'react';

const CategoryForm = ({category, onChange}) => {
  return (
    <form>
      <div className="row">
        <div className="col-md-3">
          <label>Category Name</label>
        </div>
        <div className="col-md-9">
          <input type="text" className="form-control"  name="name" onChange={onChange} value={category.name}/>
        </div>
      </div><br/>
      <div className="row">
        <div className="col-md-3">
          <label>Description</label>
        </div>
        <div className="col-md-9">
          <input type="text" className="form-control" name="category" onChange={onChange} value={category.category}/>
        </div>
      </div>
    </form>
  );
};

CategoryForm.propTypes = {
  category: React.PropTypes.object.isRequired,
  onChange: React.PropTypes.func.isRequired
};


export default CategoryForm;
