import * as types from '../actions/actionTypes';
import initialState from './initialState';

export default function roleReducer(state = initialState.roles, action) {
  switch(action.type) {
    case types.LOAD_ROLES_SUCCESS:
      // debugger;
      return  action.roles;
    case types.CREATE_ROLE_SUCCESS:
          return [
            ...state,
            Object.assign({}, action.role)
          ];
    case types.UPDATE_ROLE_SUCCESS:
      return [
        ...state.filter(role => role.id !== action.role.id),
        Object.assign({}, action.role)
      ];

    default:
      return state;
  }
}
